<?php

namespace Gear\Auth\Filters;

use Gear\FlightAbstract;

/**
 *  Filter for Auth
 *
 *  @author Björn Hase
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://gitlab.tentakelfabrik.de/gear/gear-jwt
 */
class AuthFilter extends FlightAbstract
{
    /**
     *  if result of auth is false halt app and set response to 403
     *
     *
     *  @param  array $params
     *  @param  array $output
     */
    public function before(&$params, &$output)
    {
        if (!$this->app->auth()->attempt()) {
            $this->app->halt(403, 'Access Denied!');
        }
    }
}
